import 'package:flutter/material.dart';
import 'package:food_app/config/colors.dart';

class SingleProduct extends StatelessWidget {
  final String productImage;
  final String productName;
  final int productPrice;
  final Function onTap;
  SingleProduct(
      {this.productImage, this.productName, this.onTap, this.productPrice});
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
        scrollDirection: Axis.horizontal,
        child: Row(
          children: [
            Container(
                margin: EdgeInsets.only(right: 10),
                height: 230,
                width: 165,
                decoration: BoxDecoration(
                  color: Color(0xffd9dad9),
                  borderRadius: BorderRadius.circular(10),
                ),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    GestureDetector(
                      onTap: onTap,
                      child: Container(
                          height: 150,
                          padding: EdgeInsets.all(5),
                          width: double.infinity,
                          child: Image.network(
                            productImage,
                          )),
                    ),
                    Expanded(
                        flex: 2,
                        child: Padding(
                            padding: const EdgeInsets.symmetric(
                                horizontal: 10, vertical: 5),
                            child: Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              children: [
                                Text(
                                  productName,
                                  style: TextStyle(
                                    color: textColor,
                                    fontWeight: FontWeight.bold,
                                  ),
                                ),
                                Text('$productPrice\$/50 Gram',
                                    style: TextStyle(
                                      color: Colors.grey,
                                    )),
                                SizedBox(
                                  height: 5,
                                ),
                                Row(
                                  children: [
                                    Expanded(
                                      child: Container(
                                        padding: EdgeInsets.only(left: 5),
                                        height: 25,
                                        decoration: BoxDecoration(
                                          border:
                                              Border.all(color: Colors.grey),
                                        ),
                                      ),
                                    )
                                  ],
                                )
                              ],
                            )))
                  ],
                ))
          ],
        ));
  }
}
